function onBegin()
	
	disableMovement()
	disableRetry()
	if not (getFlag("Ch4_EXXENIAKEY02")) then
		makeUnskippable()
	end
	
	say("KtA_CTSD_Concept08_01")
	
	
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
	setFlag("bunnygone",true)
end